### File

`packages/eui/packages/components-next/src/lib/components/eui-alert/eui-alert.component.ts`

### Extends

`BaseDirective`

### Implements

`AfterContentInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `div[euiAlert], eui-alert`
styleUrls | `./styles/_index.scss`
templateUrl | `./eui-alert.component.html`

### Index

###### Properties
_euiAlertMuted isVisible
###### Methods
onCloseClick
###### Inputs
euiAlertMuted isCloseable
###### Outputs
close
###### HostBindings
class
###### Accessors
euiAlertMuted

### Constructor

`constructor()`

### Inputs

euiAlertMuted

isCloseable
Default value : `false`

### Outputs

close
Type : `EventEmitter`

### HostBindings

class

### Methods

onCloseClick
`onCloseClick(event: Event)`
Parameters :
Name | Type | Optional
event | `Event` | No
Returns : `void`

### Properties

_euiAlertMuted
Default value : `false`

isVisible
Default value : `true`

### Accessors

euiAlertMuted
set `euiAlertMuted(value)`
Parameters :
Name | Optional
value | No
Returns : `void`

# result-matching ""

# No results matching ""